<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: SmokeGrenadeBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d78/a07817.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">SmokeGrenadeBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4019a79a223ebc30a96764f2b8c6e09e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d78/a07817.html#a4019a79a223ebc30a96764f2b8c6e09e">Expansion_M203Round_Smoke_Colorbase</a> ()</td></tr>
<tr class="separator:a4019a79a223ebc30a96764f2b8c6e09e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f6bcab5086da80088d70605b47dbd33"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d78/a07817.html#a5f6bcab5086da80088d70605b47dbd33">~Expansion_M203Round_Smoke_Colorbase</a> ()</td></tr>
<tr class="separator:a5f6bcab5086da80088d70605b47dbd33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c6d6c97a7a587c3cc84ec0f21bf9f27"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d78/a07817.html#a9c6d6c97a7a587c3cc84ec0f21bf9f27">SetActions</a> ()</td></tr>
<tr class="separator:a9c6d6c97a7a587c3cc84ec0f21bf9f27"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abf2afbf31b662c59ca23fc39989b3fff"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d78/a07817.html#abf2afbf31b662c59ca23fc39989b3fff">SOUND_SMOKE_START</a> = &quot;SmokegGrenades_M18_start_loop_SoundSet&quot;</td></tr>
<tr class="separator:abf2afbf31b662c59ca23fc39989b3fff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab53f2d14fc77252a7bf95fe72289c09d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d78/a07817.html#ab53f2d14fc77252a7bf95fe72289c09d">SOUND_SMOKE_LOOP</a> = &quot;SmokegGrenades_M18_active_loop_SoundSet&quot;</td></tr>
<tr class="separator:ab53f2d14fc77252a7bf95fe72289c09d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c7117a7578730e99bf0ee2ce9f661b3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d78/a07817.html#a3c7117a7578730e99bf0ee2ce9f661b3">SOUND_SMOKE_END</a> = &quot;SmokegGrenades_M18_end_loop_SoundSet&quot;</td></tr>
<tr class="separator:a3c7117a7578730e99bf0ee2ce9f661b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/d55/a03341_source.html#l00041">41</a> of file <a class="el" href="../../d3/d55/a03341_source.html">m203.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5f6bcab5086da80088d70605b47dbd33" name="a5f6bcab5086da80088d70605b47dbd33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f6bcab5086da80088d70605b47dbd33">&#9670;&#160;</a></span>~Expansion_M203Round_Smoke_Colorbase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SmokeGrenadeBase::~Expansion_M203Round_Smoke_Colorbase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d55/a03341_source.html#l00060">60</a> of file <a class="el" href="../../d3/d55/a03341_source.html">m203.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4019a79a223ebc30a96764f2b8c6e09e" name="a4019a79a223ebc30a96764f2b8c6e09e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4019a79a223ebc30a96764f2b8c6e09e">&#9670;&#160;</a></span>Expansion_M203Round_Smoke_Colorbase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SmokeGrenadeBase::Expansion_M203Round_Smoke_Colorbase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d55/a03341_source.html#l00047">47</a> of file <a class="el" href="../../d3/d55/a03341_source.html">m203.c</a>.</p>

</div>
</div>
<a id="a9c6d6c97a7a587c3cc84ec0f21bf9f27" name="a9c6d6c97a7a587c3cc84ec0f21bf9f27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c6d6c97a7a587c3cc84ec0f21bf9f27">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void SmokeGrenadeBase::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d55/a03341_source.html#l00062">62</a> of file <a class="el" href="../../d3/d55/a03341_source.html">m203.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a3c7117a7578730e99bf0ee2ce9f661b3" name="a3c7117a7578730e99bf0ee2ce9f661b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c7117a7578730e99bf0ee2ce9f661b3">&#9670;&#160;</a></span>SOUND_SMOKE_END</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> SmokeGrenadeBase::SOUND_SMOKE_END = &quot;SmokegGrenades_M18_end_loop_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d55/a03341_source.html#l00045">45</a> of file <a class="el" href="../../d3/d55/a03341_source.html">m203.c</a>.</p>

</div>
</div>
<a id="ab53f2d14fc77252a7bf95fe72289c09d" name="ab53f2d14fc77252a7bf95fe72289c09d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab53f2d14fc77252a7bf95fe72289c09d">&#9670;&#160;</a></span>SOUND_SMOKE_LOOP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> SmokeGrenadeBase::SOUND_SMOKE_LOOP = &quot;SmokegGrenades_M18_active_loop_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d55/a03341_source.html#l00044">44</a> of file <a class="el" href="../../d3/d55/a03341_source.html">m203.c</a>.</p>

</div>
</div>
<a id="abf2afbf31b662c59ca23fc39989b3fff" name="abf2afbf31b662c59ca23fc39989b3fff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf2afbf31b662c59ca23fc39989b3fff">&#9670;&#160;</a></span>SOUND_SMOKE_START</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> SmokeGrenadeBase::SOUND_SMOKE_START = &quot;SmokegGrenades_M18_start_loop_SoundSet&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d55/a03341_source.html#l00043">43</a> of file <a class="el" href="../../d3/d55/a03341_source.html">m203.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Weapons/Scripts/4_world/dayzexpansion_weapons/entities/weapons/<a class="el" href="../../d3/d55/a03341_source.html">m203.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d78/a07817.html">SmokeGrenadeBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
